### Method

# Gimp Layer flatten

since: 2.4

#### Declaration [src]

    gboolean
    gimp_layer_flatten (
      GimpLayer* layer
    )

#### Description [src]

Remove the alpha channel from the layer if it has one.

This procedure removes the alpha channel from a layer, blending all (partially) transparent pixels in the layer against the background color. This transforms layers of type RGBA to RGB, GRAYA to GRAY, and INDEXEDA to INDEXED.

Available since: 2.4

#### Return value

Type: `gboolean`

TRUE on success.